Bug 185949 - CVE-2006-1061 cURL tftp buffer overflow
Summary: CVE-2006-1061 cURL tftp buffer overflow
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: curl   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL: http://curl.haxx.se/docs/adv_20060320...
Whiteboard: source=vendorsec,reported=20060313,em...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-20 11:55 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 09:09:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-03-20 11:55:06 UTC
Ulf Harnhammar told vendor-sec about a buffer overflow in cURL's tftp handling
code. If you pass a very long tftp URL ("tftp://") to cURL with a valid
hostname, it becomes possible to overflow a buffer.

This issue only affects version 7.15.X.

Comment 1 Ivana Varekova 2006-03-22 09:08:43 UTC
The fixed versions are curl-7.15.3-1 (devel), curl-7.15.1-3 (fc5). If there is
any problem please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.